package com.huashe.park.core.mapper;

import java.util.List;

import com.huashe.common.annotation.mybatis.IgnoreTenant;
import org.apache.ibatis.annotations.Param;

import com.huashe.park.domain.entity.ConsUnitMachineRel;

/**
 * 施工单元桩机关系Mapper接口
 * 
 * @author ruoyi
 * @date 2025-02-17
 */
@IgnoreTenant
public interface ConsUnitMachineRelMapper {
    /**
     * 查询施工单元桩机关系
     * 
     * @param id 施工单元桩机关系主键
     * @return 施工单元桩机关系
     */
    ConsUnitMachineRel selectConsUnitMachineRelById(Long id);

    /**
     * 查询施工单元桩机关系列表
     * 
     * @param consUnitMachineRel 施工单元桩机关系
     * @return 施工单元桩机关系集合
     */
    List<ConsUnitMachineRel> selectConsUnitMachineRelList(ConsUnitMachineRel consUnitMachineRel);

    /**
     * 新增施工单元桩机关系
     * 
     * @param consUnitMachineRel 施工单元桩机关系
     * @return 结果
     */
    int insertConsUnitMachineRel(ConsUnitMachineRel consUnitMachineRel);

    /**
     * 修改施工单元桩机关系
     * 
     * @param consUnitMachineRel 施工单元桩机关系
     * @return 结果
     */
    int updateConsUnitMachineRel(ConsUnitMachineRel consUnitMachineRel);

    /**
     * 删除施工单元桩机关系
     * 
     * @param id 施工单元桩机关系主键
     * @return 结果
     */
    int deleteConsUnitMachineRelById(Long id);

    /**
     * 批量删除施工单元桩机关系
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteConsUnitMachineRelByIds(Long[] ids);

    int insertConsUnitMachineRelList(@Param("consUnitMachines") List<ConsUnitMachineRel> consUnitMachineRel);

    int deleteConsUnitMachineRelByUnitId(Long id);

    List<Long> qryConsUnitMachineRelByUnitId(Long id);
}
